accumulo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dlmar...@apache.org
Subject [2/2] accumulo git commit: Merge branch '1.6' into 1.7
Date Thu, 05 May 2016 17:43:10 GMT
Merge branch '1.6' into 1.7


Project: http://git-wip-us.apache.org/repos/asf/accumulo/repo
Commit: http://git-wip-us.apache.org/repos/asf/accumulo/commit/160e2c79
Tree: http://git-wip-us.apache.org/repos/asf/accumulo/tree/160e2c79
Diff: http://git-wip-us.apache.org/repos/asf/accumulo/diff/160e2c79

Branch: refs/heads/1.7
Commit: 160e2c796a516736a71e67719b3464b79d46c8f6
Parents: 523e790 f71f293
Author: Dave Marion <dlmarion@apache.org>
Authored: Thu May 5 13:41:27 2016 -0400
Committer: Dave Marion <dlmarion@apache.org>
Committed: Thu May 5 13:41:27 2016 -0400

----------------------------------------------------------------------
 assemble/bin/config.sh | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/accumulo/blob/160e2c79/assemble/bin/config.sh
----------------------------------------------------------------------
diff --cc assemble/bin/config.sh
index 9dfd164,89a5e48..2299a12
--- a/assemble/bin/config.sh
+++ b/assemble/bin/config.sh
@@@ -104,11 -119,46 +108,12 @@@ the
  fi
  export HADOOP_PREFIX
  
- NUMA=$(which numactl 2>/dev/null)
- NUMACTL_EXISTS=$?
- NUMACTL_ARGS='--interleave=all'
- if [[ ${NUMACTL_EXISTS} -eq 0 ]] ; then
-   export NUMA_CMD="${NUMA} ${NUMACTL_ARGS}"
 -unset MASTER1
 -if [[ -f "$ACCUMULO_CONF_DIR/masters" ]]; then
 -  MASTER1=$(egrep -v '(^#|^\s*$)' "$ACCUMULO_CONF_DIR/masters" | head -1)
 -fi
 -
 -if [ -z "${MONITOR}" ] ; then
 -  MONITOR=$MASTER1
 -  if [ -f "$ACCUMULO_CONF_DIR/monitor" ]; then
 -      MONITOR=$(egrep -v '(^#|^\s*$)' "$ACCUMULO_CONF_DIR/monitor" | head -1)
 -  fi
 -  if [ -z "${MONITOR}" ] ; then
 -    echo "Could not infer a Monitor role. You need to either define the MONITOR env variable,
define \"${ACCUMULO_CONF_DIR}/monitor\", or make sure \"${ACCUMULO_CONF_DIR}/masters\" is
non-empty."
 -    exit 1
 -  fi
 -fi
 -if [ ! -f "$ACCUMULO_CONF_DIR/tracers" -a -z "${ACCUMULO_VERIFY_ONLY}" ]; then
 -  if [ -z "${MASTER1}" ] ; then
 -    echo "Could not find a master node to use as a default for the tracer role. Either set
up \"${ACCUMULO_CONF_DIR}/tracers\" or make sure \"${ACCUMULO_CONF_DIR}/masters\" is non-empty."
 -    exit 1
 -  else
 -    echo "$MASTER1" > "$ACCUMULO_CONF_DIR/tracers"
 -  fi
 -
 -fi
 -
 -if [ ! -f "$ACCUMULO_CONF_DIR/gc" -a -z "${ACCUMULO_VERIFY_ONLY}" ]; then
 -  if [ -z "${MASTER1}" ] ; then
 -    echo "Could not infer a GC role. You need to either set up \"${ACCUMULO_CONF_DIR}/gc\"
or make sure \"${ACCUMULO_CONF_DIR}/masters\" is non-empty."
 -    exit 1
 -  else
 -    echo "$MASTER1" > "$ACCUMULO_CONF_DIR/gc"
 -  fi
 -fi
 -
+ ACCUMULO_ENABLE_NUMACTL=${ACCUMULO_ENABLE_NUMACTL:-"true"}
+ ACCUMULO_NUMACTL_OPTIONS=${ACCUMULO_NUMACTL_OPTIONS:-"--interleave=all"}
+ NUMA=`which numactl 2>/dev/null`
+ NUMACTL_EXISTS="$?"
+ if [[ ( ${NUMACTL_EXISTS} -eq 0 ) && ( ${ACCUMULO_ENABLE_NUMACTL} == "true" ) ]]
; then
+   export NUMA_CMD="${NUMA} ${ACCUMULO_NUMACTL_OPTIONS}"
  else
    export NUMA_CMD=""
  fi


Mime
View raw message